@import "@/styles/variables";

.footer {
    display: flex;
    grid-column: 1 / -1;
    min-width: 100%;
    color: $white;
    min-height: 7rem;
    height: fit-content;
    align-self: flex-end;
    background-color: $black;
    z-index: 10;

    @include notebook {
        display: flex;
    }

    .container {
        display: grid;
        grid-template-columns: repeat(10, 1fr);
        width: 100%;
        padding: 1rem 1rem 2rem;
        gap: 2rem;

        @include notebook {
            padding: 2rem;
        }

        .text {
            grid-column: 1 / -1;
            border-bottom: 3px solid transparent;
        }
    }

    .conditions-container {
        display: flex;
        flex-direction: column;
        gap: 0.25rem;
        grid-column: 1 / -1;
        justify-content: center;

        @include notebook {
            gap: 2rem;
            flex-direction: row;
            grid-column: 1 / 7;
            justify-content: flex-start;
            align-items: flex-end;
        }

        .conditions {
            @include title-3;

            color: $white;
            font-weight: 500;
            display: flex;
            flex-direction: column;
            justify-content: center;
            gap: 0.25rem;

            @include notebook {
                flex-direction: row;
                gap: 2rem;
            }

            a {
                color: $white;
                text-decoration: none;
                transition: all 0.25s;

                &:hover {
                    opacity: 0.8;
                }
            }
        }
    }

    .logo-container {
        grid-column: 1 / -1;
        display: flex;
        justify-content: right;
        align-items: flex-end;

        @include notebook {
            justify-content: flex-end;
            grid-column: 7 / -1;
        }
    }
}
